Skip to main content
POST
/
v1
/
notifications
/
types
/
{event_type}
/
test-send
Send a test notification through the real dispatch path (notify())
curl --request POST \
  --url https://api-sandbox.featherhq.com/v1/notifications/types/{event_type}/test-send \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{
  "payload": {}
}'
{
  "outcome": "<string>",
  "event_type": "<string>",
  "delivered": true,
  "send_results": [
    {
      "ok": true,
      "provider_message_id": "<string>",
      "error": "<string>",
      "transport": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

event_type
string
required

Body

application/json

Fire a notification type through the real notify() path (ENG-660).

payload
Payload · object

Response

Successful Response

outcome
string
required
event_type
string
required
delivered
boolean
required
send_results
TestSendDestinationResult · object[]
required